# Remove-RASRDSHostPool.md

## NAME

Remove-RASRDSHostPool

## SYNOPSIS

Removes an RD Session Host Pool from a site.

## SYNTAX

**Remove-RASRDSHostPool** \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASRDSHostPool \[-[InputObject](#inputobject)] *(*[*RDSHostPool*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASRDSHostPool** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes an RD Session Host Pool from a site.

## PARAMETERS

## Name (string)

The name of a RD Session Host server host pool to remove from a site.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to remove the specified host pool.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

RD Session Host Pool ID. To obtain the ID of a host pool, use the Get-RASRDSHostPool cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([RDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md))

A RD Session Host Pool object (an object of type RDSHostPool) to remove from a site.

A RDSHostPool object representing a group is obtained using the Get-RASRDSHostPool cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[RDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASRDSHostPool "My RDS Host Pool"

Removes the host pool specified by name from the Licensing Server site (default).

To remove a host pool from a specific site, specify the -SiteId parameter.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASRDSHostPool -Id 10

Removes the host pool specified by ID from the Licensing Server site. To obtain the host pool ID, use the Get-RASRDSHostPool cmdlet.\
\*\*---------- EXAMPLE 3 ----------

Get-RASRASRDSHostPool | Remove-RASRASRDSHostPool

Removes an RD Session Host Pool, which is identified by an object obtained from the pipeline output.

## RELATED LINKS

* [New-RASRDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasrdshostpool.md)
* [Get-RASRDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshostpool.md)
* [Set-RASRDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasrdshostpool.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasrdshostpool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
